/***********************  initializeTraining.h  ********************************

 Purpose: Header for data structure initializing module.
 Notes: None.
 
 Programmer: Ginny Mak
 Location: Montreal, Canada.
 Last Updated: April 6, 2000. 
**/

/***********************  Public defines and data structure *******************/

typedef struct feature{
  int id;
  float value;
} Feature;

typedef struct feature * FeaturePtr;

FeaturePtr ** example;

int *target;
double *lambda;
int *nonZeroFeature;
double *error;
int *nonBound;
double *weight;
int numExample;
int maxFeature;
int numNonBound;
int *unBoundIndex;
int dataSetSize;
int *errorCache;
int *nonZeroLambda;



/***************************  Public Functions  *******************************/

extern int readFile( FILE *in );
extern int initializeTraining( void );
