#!/usr/bin/python

##########################################
#                                        #
# Programmer: Ginny Mak                  #
# Location: Montreal, Canada.            #
# Last Updated: April 6, 2000.           #
#                                        #
##########################################

from Tkinter import *
from Dialog import Dialog 
from learn import  LearnWindow
from classify import ClassifyWindow


######################################################
#                                                    #
#     This class is the Main menu of the GUI for     #
#     smoLearn and smoClassify.                      #
#                                                    #
######################################################
class Smo(Frame):
    def __init__(self, parent=None):
        Frame.__init__(self, parent)
	self.master.title("SEQUENTIAL MINIMAL OPTIMIZATION")
	self.master.iconname("SMO")
	Pack.config(self)
	self.makeWidgets()

    def makeWidgets(self):
	Label(self, text='Make a selection').pack(expand=YES, fill=BOTH)
	Button(self, foreground="white", background="dark blue",\
               text='LEARN', command=self.learnWin).pack(expand=YES,fill=BOTH)
	Button(self, foreground="white", background="dark blue",\
               text='CLASSIFY',\
               command=self.classifyWin).pack(expand=YES,fill=BOTH)
	Button(self, foreground="white", background="dark blue", text='EXIT',\
               command=self.quit).pack(expand=YES,fill=BOTH)


    ########################################
    #                                      #
    #     Instantiate a LearnWindow,       #
    #     a GUI for smoLearn               #
    #                                      #
    ########################################
    def learnWin(self):
	learnWindow = LearnWindow()

    ########################################
    #                                      #
    #     Instantiate a ClassifyWindow,    #
    #     a GUI for smoClassify            #
    #                                      #
    ########################################                            
    def classifyWin(self):
	classifyWindow = ClassifyWindow() 
	

    def quit(self):
	ans = Dialog(self,
		     title='Verify Quit',
		     text='Are you sure you want to quit?',
		     bitmap='question',
		     default=0,
		     strings=('Yes', 'No'))
	if ans.num == 0: Frame.quit(self)	
      
if __name__ == '__main__': Smo().mainloop()
