#!/usr/bin/python
import string
import sys

########################################################
#                                                      #
#  This script converts a .dst file to the data format #
#  readable by smoLearn and svm_light.                 #
#                                                      #
#  .dst format:                                        #
#  Lines that start with "A" describes a variable,     #
#  whose id number is the second field in the line.    #
#  The third field is either 101 (if the variable is   #
#  a class label) or 1(if the variable is not).        #
#  variable id 1000 is the class label in benchmark.   #
#                                                      #
#  Lines that start with "C" indicate the start of a   #
#  new training example. The rest of the line          #
#  identifies  the training example.                   #
#                                                      #
#  Lines that start with "V" are attributes of the     #
#  current example. The second field is the variable id#
#  The third field is the value of the variable.       #
#  If a variable is not specified by a "V" line, its   #
#  value defaults to 0.                                #
#                                                      #
########################################################
stdout = sys.stdout
delimiter = ','
space = ' '
oneLine = []
start = 1

while 1:
    ###################################################
    #                                                 #
    # Read one line at a time until end of file.      #
    #                                                 #
    ###################################################
    line = sys.stdin.readline()
    if not line:
        ###############################################
        #                                             #
	# Print all the feature id/value which were   #
        # read into the list oneLine. Separate each   #
        # item of the list with a space and form a    #
        # long string to be printed to file.          #
        #                                             #
        ###############################################     
	astring = string.joinfields(oneLine, space)
	print astring 
	break
    else:
	lineList = string.splitfields(line,delimiter)
	if lineList[0] == 'V':
	   if lineList[1] == '1000':
                ###############################
		#                             #
		# Read class label of example #
		#                             #
		###############################
		if lineList[2][:-2] == '0':
			oneLine.append('-1')
		else:
			oneLine.append('1')
	   else:
                ################################
		#                              #
		# Read feature id/value        #
		#                              #
		################################
		oneLine.append(lineList[1]+':'+lineList[2][:-2])
	elif lineList[0] == 'C' and start == 1:
	   start = 0
	elif lineList[0] == 'C':
           #############################################
	   #                                           # 
	   # Start of another example                  # 
	   # Print all the feature id/value which were #
           # read into the list oneLine. Separate each #
           # item of the list with a space and form a  #
           # long string to be printed to file.        #
	   #                                           #
	   #############################################
	   astring = string.joinfields(oneLine, space)
	   print astring
	   oneLine = []		
		
